import Vue from 'vue'
import Router from 'vue-router'
import AppFlow from '@/components/app-flow'
import AppHelp from '@/components/app-help'

Vue.use(Router)

export default new Router({
  mode: 'history',
  routes: [
    { path: '/*', component: AppFlow }
    // { path: '/*/s\\::sessId', component: AppFlow },
    // { path: '/s\\::sessId', component: AppFlow }
    // { path: '/*', component: AppFlow }

    // { path: '*?/s\\::sessId', component: AppFlow },
    // { path: '*?/help', component: AppHelp }

    // With a context
    /* { path: '/:context', component: AppFlow },
    { path: '/:context/s\\::sessId', component: AppFlow },
    { path: '/:context/help', component: AppHelp }, */
    // Backward compatibilitie
    // { path: '/:context/:sessId', redirect: '/:context/s\\::sessId' }

  ]

})
